Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.scanner.bytes
Class ByteRecordInput

    java.lang.Object
      com.servingxml.components.flatfile.scanner.bytes.ByteRecordInput

All Implemented Interfaces:
  RecordInput

    public class ByteRecordInput

extends java.lang.Object
implements RecordInput

Constructor Summary
`ByteRecordInput(byte[] data, java.nio.charset.Charset charset)`
`ByteRecordInput(byte[] data, int start, int length, java.nio.charset.Charset charset)`

Method Summary
`RecordInput` | `concatentate(RecordInput ri)`
`boolean` | `done()`
`java.nio.charset.Charset` | `getCharset()`
`int` | `getLast()`
`int` | `getPosition()`
`void` | `readBracketedRepeatingGroup(QuoteSymbolByteChecker quoteSymbolChecker, DelimiterByteChecker segmentDelimiter, DelimiterByteChecker[] repeatDelimiterCheckers, int count, ByteTrimmer byteTrimmer, java.util.List<RecordInput> children)`
`int` | `readBytes(byte[] value)`
`void` | `readGroup(QuoteSymbolByteChecker quoteSymbolChecker, DelimiterByteChecker repeatDelimiter, ByteTrimmer byteTrimmer, java.util.List<RecordInput> children, ByteArrayBuilder byteArrayBuilder)`
`void` | `readRepeatingGroup(int count, FlatFileOptions flatFileOptions, java.util.List<RecordInput> children)`
`RecordInput` | `readSegment(FlatFileOptions flatFileOptions)`
`RecordInput` | `readSegment(int segmentLength)`
`java.lang.String` | `readString(int width)`
`java.lang.String` | `readString(int maxLength, FlatFileOptions flatFileOptions)`
`java.lang.String[]` | `readStringArray(int maxLength, FlatFileOptions flatFileOptions)`
`void` | `readToEndOfSegment(DelimiterByteChecker segmentDelimiter, ByteArrayBuilder byteArrayBuilder)`
`void` | `setPosition(int index)`
`byte[]` | `toByteArray()`
`char[]` | `toCharArray()`
`java.lang.String` | `toString()`
`void` | `updateLast()`
`void` | `wipe()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteRecordInput

    public ByteRecordInput(byte[] data,
                           int start,
                           int length,
                           java.nio.charset.Charset charset)

### ByteRecordInput

    public ByteRecordInput(byte[] data,
                           java.nio.charset.Charset charset)

Method Detail

### toByteArray

    public byte[] toByteArray()

  Specified by:
    `toByteArray` in interface `RecordInput`

### toCharArray

    public char[] toCharArray()

  Specified by:
    `toCharArray` in interface `RecordInput`

### done

    public boolean done()

  Specified by:
    `done` in interface `RecordInput`

### readBytes

    public int readBytes(byte[] value)

  Specified by:
    `readBytes` in interface `RecordInput`

### readString

    public java.lang.String readString(int width)

  Specified by:
    `readString` in interface `RecordInput`

### readString

    public java.lang.String readString(int maxLength,
                                       FlatFileOptions flatFileOptions)
                                throws java.io.IOException

  Specified by:
    `readString` in interface `RecordInput`
  Throws:
    `java.io.IOException`

### readStringArray

    public java.lang.String[] readStringArray(int maxLength,
                                              FlatFileOptions flatFileOptions)
                                       throws java.io.IOException

  Specified by:
    `readStringArray` in interface `RecordInput`
  Throws:
    `java.io.IOException`

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `RecordInput`

### getLast

    public int getLast()

  Specified by:
    `getLast` in interface `RecordInput`

### setPosition

    public void setPosition(int index)

  Specified by:
    `setPosition` in interface `RecordInput`

### updateLast

    public void updateLast()

### getCharset

    public java.nio.charset.Charset getCharset()

  Specified by:
    `getCharset` in interface `RecordInput`

### wipe

    public void wipe()
              throws java.io.IOException

  Specified by:
    `wipe` in interface `RecordInput`
  Throws:
    `java.io.IOException`

### readRepeatingGroup

    public void readRepeatingGroup(int count,
                                   FlatFileOptions flatFileOptions,
                                   java.util.List<RecordInput> children)

  Specified by:
    `readRepeatingGroup` in interface `RecordInput`

### readGroup

    public void readGroup(QuoteSymbolByteChecker quoteSymbolChecker,
                          DelimiterByteChecker repeatDelimiter,
                          ByteTrimmer byteTrimmer,
                          java.util.List<RecordInput> children,
                          ByteArrayBuilder byteArrayBuilder)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBracketedRepeatingGroup

    public void readBracketedRepeatingGroup(QuoteSymbolByteChecker quoteSymbolChecker,
                                            DelimiterByteChecker segmentDelimiter,
                                            DelimiterByteChecker[] repeatDelimiterCheckers,
                                            int count,
                                            ByteTrimmer byteTrimmer,
                                            java.util.List<RecordInput> children)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readSegment

    public RecordInput readSegment(int segmentLength)

  Specified by:
    `readSegment` in interface `RecordInput`

### readSegment

    public RecordInput readSegment(FlatFileOptions flatFileOptions)

  Specified by:
    `readSegment` in interface `RecordInput`

### readToEndOfSegment

    public void readToEndOfSegment(DelimiterByteChecker segmentDelimiter,
                                   ByteArrayBuilder byteArrayBuilder)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### concatentate

    public RecordInput concatentate(RecordInput ri)

  Specified by:
    `concatentate` in interface `RecordInput`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `RecordInput`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD